/***************************************************************************/
/**                                                                       **/
/**                 The ORIC 48K emulator.UNIX version                    **/
/**                                                                       **/
/**                Written by JF FABRE (fabre@supaero.fr)                 **/
/**                                                                       **/
/**                This program may be freely distibuted                  **/
/**                                                                       **/
/**             as long as this header is included unmodified             **/
/**                                                                       **/
/***************************************************************************/

/* preferences functions */

#include <stdio.h>
#include "defs.h"

/****** question oui ou non *******/

int Ask(char *qu)

{
char rep[40];

for (;;)
{
rep[0]='\0';
printf("%s (y/n) ? ",qu);fflush(stdout);
gets(rep);

switch (rep[0])
  {
  case '\0' : printf("n\n");return 0; 
  case 'Y':
  case 'y': return 1;
  case 'N':
  case 'n': return 0;
  }  
}

}


/***** affiche le status d'une variable *****/

void PrintStatus(ch,val)

char *ch;
int val;

{
printf("%s ",ch);if (val) printf("on\n"); else printf("off\n");
}
/****** imprime les preferences ************/

void PrintPreferences(Monitor_struct mon)

{
printf("\nLoad tape name : %s\nTapes directory : %s\nRawdata directory : %s\nKeyboard file : %s\n",
       mon.TapeLoadName,mon.TapeDir,mon.DumpDir,mon.KeybFileName);

PrintStatus("Sound",mon.sound);
PrintStatus("Illegal trapped",mon.illeg_inst);
PrintStatus("Screen auto-refresh",mon.autorefresh);
putchar('\n');
}

/****** lit les preferences ************/

int ReadPreferences(Monitor_struct *mon)

{
FILE *f;
char ch[LG_CMD];
char ch2[LG_CMD*2];

if ((f=fopen("oric.cfg","r"))) 

   {
   fscanf(f,"%s",ch);
   fscanf(f,"%s",mon->TapeDir);
   fscanf(f,"%s",mon->DumpDir);
   fscanf(f,"%d",&(mon->sound));
   fscanf(f,"%d",&(mon->illeg_inst));
   fscanf(f,"%d",&(mon->autorefresh));
   fscanf(f,"%s",mon->KeybFileName);
   fclose(f);
   sprintf(ch2,"%s/%s",mon->TapeDir,ch);


   if (!(f=fopen(ch2,"rb"))) 
       strcpy(mon->TapeLoadName,"\n"); /* nom foireux pour la cassette */
       else 
       {
       strcpy(mon->TapeLoadName,ch);
       mon->TapeLoad=f;
       }

   return 1;
   }
   else
   {
   strcpy(mon->TapeLoadName,"\n"); /* nom foireux pour la cassette */
   strcpy(mon->TapeDir,"."); /* repertoire courant */
   strcpy(mon->DumpDir,"."); /* repertoire courant */
   strcpy(mon->KeybFileName,"QWMatrix.dat");   
   mon->sound=0;
   mon->illeg_inst=0;
   mon->autorefresh=0;
   return 0;
   }
}

