#include <stdio.h>


/****** affiche une adresse ***************/

char *HexNumber(re,taille)

unsigned short int re,taille;

{
char ch[10],*ch2,ch3[10];
int i;

ch2=ch3;

ch2[0]='$';
ch2++;

if (taille)
{
if (re<0x0010) {sprintf(ch2,"000");ch2+=3;} else
   if (re<0x0100) {sprintf(ch2,"00");ch2+=2;} else
      if (re<0x1000) {sprintf(ch2,"0");ch2++;}
}
else 
 if (re<0x0010) {sprintf(ch2,"0");ch2++;}
 

sprintf(ch,"%x",re);
for (i=0;i<strlen(ch);i++)
 if ((ch[i]>='a')&&(ch[i]<='f')) ch2[i]=(ch[i]-('a'-'A')); else ch2[i]=ch[i];

ch2[i]=0;

return ch3; 
}

/*****************************************/

int Disass(ADR,ch,M)

unsigned short int ADR;
char *ch;
unsigned char *M;

{
int nb_inst=0;
unsigned char op,r1,r2;
char c1[10],c2[10],c3[10];

op=M[ADR];
r1=M[ADR+1];
r2=M[ADR+2];

strcpy(c1,HexNumber((unsigned short int)r1,0));
strcpy(c2,HexNumber((unsigned short int)(r1+(((int)r2)<<8)),1));

 if (op&1)
   {
   /* instructions avec arguments travaillant sur A */

     if (op&0x2) 
     {
     sprintf(ch,"???");  /* instruction illegale */
     return 0;
     }

   switch((op&0xE0)>>5)
     {
     case 0 : sprintf(ch,"ORA ");break;
     case 1 : sprintf(ch,"AND ");break;
     case 2 : sprintf(ch,"EOR ");break;
     case 3 : sprintf(ch,"ADC ");break;
     case 4 : sprintf(ch,"STA ");break;
     case 5 : sprintf(ch,"LDA ");break;
     case 6 : sprintf(ch,"CMP ");break;
     case 7 : sprintf(ch,"SBC ");break;
     }
     ch+=4;
    
   switch((op>>2)&0x7)
     {
     case 0x0 : /* adressage indirect X */
              sprintf(ch,"(%s,X)",c1);nb_inst=2;
              break;
     case 0x1 : /* adressage zero page */
              sprintf(ch,"%s",c1);nb_inst=2;
              break;
     case 0x2 : /* adressage immediat */
              sprintf(ch,"#%s",c1);
              nb_inst=2;
              break;
     case 0x3 : /* adressage absolu */
              sprintf(ch,"%s",c2);
              nb_inst=3;
              break;
     case 0x4 : /* adressage indirect Y */
              sprintf(ch,"(%s),Y",c1);
              nb_inst=2;
              break;
     case 0x5 : /* adressage zero page X */
              sprintf(ch,"%s,X",c1);
              nb_inst=2;
              break;
     case 0x6 : /* adressage absolu Y */
              sprintf(ch,"%s,Y",c2);
              nb_inst=3;
              break;
     case 0x7 : /* adressage absolu X */
              sprintf(ch,"%s,X",c2);nb_inst=3;
              break;
     }
     return nb_inst;

   }
 
 if ((op&0xF)==0x8) 
   {
   switch ((op&0xF0)>>4)
    {
    case 0  : sprintf(ch,"PHP ");break;
    case 1  : sprintf(ch,"CLC ");break;
    case 2  : sprintf(ch,"PLP ");break;
    case 3  : sprintf(ch,"SEC ");break;
    case 4  : sprintf(ch,"PHA ");break;
    case 5  : sprintf(ch,"CLI ");break;
    case 6  : sprintf(ch,"PLA ");break;
    case 7  : sprintf(ch,"SEI ");break;
    case 8  : sprintf(ch,"DEY ");break;
    case 9  : sprintf(ch,"TYA ");break;
    case 10 : sprintf(ch,"TAY ");break;
    case 11 : sprintf(ch,"CLV ");break;
    case 12 : sprintf(ch,"INY ");break;
    case 13 : sprintf(ch,"CLD ");break;
    case 14 : sprintf(ch,"INX ");break;
    case 15 : sprintf(ch,"SED ");break;
    }
    return 1;
   }

 if ((op&0xF)==0xA) 
   {
   switch ((op&0xF0)>>4)
    {
    case 0  : sprintf(ch,"ASL A");break;
    case 1  : sprintf(ch,"??? ");return 0;
    case 2  : sprintf(ch,"ROL A");break;
    case 3  : sprintf(ch,"??? ");return 0;
    case 4  : sprintf(ch,"LSR A");break;
    case 5  : sprintf(ch,"??? ");return 0;
    case 6  : sprintf(ch,"ROR A");break;
    case 7  : sprintf(ch,"??? ");return 0;
    case 8  : sprintf(ch,"TXA ");break;
    case 9  : sprintf(ch,"TXS ");break;
    case 10 : sprintf(ch,"TAX ");break;
    case 11 : sprintf(ch,"TSX ");break;
    case 12 : sprintf(ch,"DEX ");break;
    case 13 : sprintf(ch,"??? ");return 0;
    case 14 : sprintf(ch,"NOP ");break;
    case 15 : sprintf(ch,"??? ");return 0;
    }
    return 1;
   }

 if ((op&0x1F)==0x10) 
   {
   if (r1&80) 
          strcpy(c3,HexNumber((unsigned short int)(r1-0xFF+ADR+1),1));
         else 
          strcpy(c3,HexNumber((unsigned short int)(r1+ADR+2),1));

   switch ((op&0xE0)>>5)
    {
    case 0  : sprintf(ch,"BPL ");break;
    case 1  : sprintf(ch,"BMI ");break;
    case 2  : sprintf(ch,"BVC ");break;
    case 3  : sprintf(ch,"BVS ");break;
    case 4  : sprintf(ch,"BCC ");break;
    case 5  : sprintf(ch,"BCS ");break;
    case 6  : sprintf(ch,"BNE ");break;
    case 7  : sprintf(ch,"BEQ ");break;
    }
    sprintf(ch+4,"%s",c3);
    return 2;

   }
 
 

   switch (op)
    {
    case 0x4C : sprintf(ch,"JMP %s",c2);return 3;
    case 0x6C : sprintf(ch,"JMP (%s)",c2);return 3;
    
    case 0x24 : sprintf(ch,"BIT %s",c1);return 2;
    case 0x2C : sprintf(ch,"BIT %s",c2);return 3;

    case 0xE0 : sprintf(ch,"CPX #%s",c1);return 2;   
    case 0xE4 : sprintf(ch,"CPX %s",c1);return 2;   
    case 0xEC : sprintf(ch,"CPX %s",c2);return 3;

    case 0xC0 : sprintf(ch,"CPY #%s",c1);return 2;   
    case 0xC4 : sprintf(ch,"CPY %s",c1);return 2;   
    case 0xCC : sprintf(ch,"CPY %s",c2);return 3;

    case 0x86 : sprintf(ch,"STX %s",c1);return 2;   
    case 0x96 : sprintf(ch,"STX %s,Y",c1);return 2;   
    case 0x8E : sprintf(ch,"STX %s",c2);return 3;

    case 0x84 : sprintf(ch,"STY %s",c1);return 2;   
    case 0x94 : sprintf(ch,"STY %s,X",c1);return 2;   
    case 0x8C : sprintf(ch,"STY %s",c2);return 3;
    
    case 0xA2 : sprintf(ch,"LDX #%s",c1);return 2;   
    case 0xA6 : sprintf(ch,"LDX %s",c1);return 2;   
    case 0xB6 : sprintf(ch,"LDX %s,Y",c1);return 2;
    case 0xAE : sprintf(ch,"LDX %s",c2);return 3;
    case 0xBE : sprintf(ch,"LDX %s,Y",c2);return 3;

    case 0xA0 : sprintf(ch,"LDY #%s",c1);return 2;   
    case 0xA4 : sprintf(ch,"LDY %s",c1);return 2;   
    case 0xB4 : sprintf(ch,"LDY %s,X",c1);return 2;
    case 0xAC : sprintf(ch,"LDY %s",c2);return 3;
    case 0xBC : sprintf(ch,"LDY %s,X",c2);return 3;
   }

 if ((op&0x1F)==0x0) 
   {
   switch ((op&0xE0)>>5)
    {
    case 0  : sprintf(ch,"BRK ");return 1;
    case 1  : sprintf(ch,"JSR ");sprintf(ch+4,"%s",c2);return 3;
    case 2  : sprintf(ch,"RTI ");return 1;
    case 3  : sprintf(ch,"RTS ");return 1;
    default : sprintf(ch,"??? ");return 0;
    }

   }
     
   switch ((op&0xE0)>>5)
    {
    case 0  : sprintf(ch,"ASL ");break;
    case 1  : sprintf(ch,"ROL ");break;
    case 2  : sprintf(ch,"LSR ");break;
    case 3  : sprintf(ch,"ROR ");break;
    case 4  : sprintf(ch,"???");return 0;
    case 5  : sprintf(ch,"???");return 0;
    case 6  : sprintf(ch,"DEC ");break;
    case 7  : sprintf(ch,"INC ");break;
    }
    
    ch+=4;
    
   switch((op>>2)&0x7)
     {
     case 0x1 : /* adressage zero page */
              sprintf(ch,"%s",c1);nb_inst=2;
              break;
     case 0x3 : /* adressage absolu */
              sprintf(ch,"%s",c2);
              nb_inst=3;
              break;
     case 0x5 : /* adressage zero page X */
              sprintf(ch,"%s,X",c1);
              nb_inst=2;
              break;
     case 0x7 : /* adressage absolu X */
              sprintf(ch,"%s,X",c2);nb_inst=3;
              break;
     }
     return nb_inst;
 
sprintf(ch,"??? ");return 0; /* instruction illegale */ 
}

/**********************************************/

int IsBreakSequence(ch)
char *ch;

{
if (!strncmp("RT",ch,2)) return 1;
if (!strncmp("JM",ch,2)) return 1;

return 0;
}

/*
{
char ch[20],ch2[20];
int nb_inst,i;
unsigned short int ADR=0xEFAE;
FILE *f;


M=(unsigned char *)malloc(0x10000*sizeof(char));

if (!(f=fopen("Atmos.ROM","rb"))) 

   {
   printf("Fichier Atmos.ROM non trouve\n");
   exit(1);
   }
   
  fread(M+0xc000, 1, 0x4000, f);
  
  fclose(f);
  
 scanf("%x",&ADR);
 getchar(); 
 
for (;;)
 {
 nb_inst=Disass(ADR,ch);
 strcpy(ch2,HexNumber(ADR,1));
 printf("%s : %s",ch2,ch);fflush(stdout);getchar(); 
 if (IsBreakSequence(ch)) printf("--------------------\n");
 ADR+=nb_inst;if (!nb_inst) ADR++;
 }
}
*/
